<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>{%const:title%} - Formatted Text Editor</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<meta name="robots" content="noindex, nofollow" />
	<script type="text/javascript" src="{%glo:cfgWebRoot%}gui/ckeditor/ckeditor.js"></script>		
</head>

<body>
	<form>
	<textarea id="MainEditor"></textarea>
		<script type="text/javascript">
<!--
var sBasePath = '{%glo:cfgWebRoot%}gui/ckeditor/' ;

//var oCKeditor = new CKEDITOR.editor( 'MainEditor' ) ;

//oCKeditor.Config["CustomConfigurationsPath"] = "{%glo:cfgWebRoot%}gui/myfckconfig.php?site_id={%glo:site_id%}&" + ( new Date() * 1 ) ;
//oCKeditor.Height	= 300 ;

var oCKeditor = CKEDITOR.replace('MainEditor',{//creates editor object
    on: {
			save: function(evt)
			{
				// Do something here, for example:
				doSave();
	 
				// If you want to prevent the form submit (if your editor is in a <form> element), return false here
				return false;
			}
		}
	});
var langs = new Object();
	langs['Latvian'] = 'lv';
	langs['Russian'] = 'ru';
	langs['English'] = 'en';	

var lang = langs['{%glo:cfgLanguage%}'];
oCKeditor.config.language = lang;	
oCKeditor.config.basePath	= sBasePath ;
oCKeditor.config.height = 375;
oCKeditor.config.extraPlugins = 'youtube,googlemaps';
oCKeditor.config.filebrowserBrowseUrl = "{%glo:cfgWebRoot%}?module=dialogs&action=filex&site_id={%glo:site_id%}&view=thumbs";

if((typeof window.dialogArguments)=='object')
{
  el = window.dialogArguments ;
  var srcval = el.thevalue ;
}else
{
  var srcval = window.dialogArguments ;
}
CKEDITOR.instances.MainEditor.setData(srcval);//set value for element

function doSave()
{
  var oEditor = CKEDITOR.instances.MainEditor;
  var filteredHTML = oEditor.getData();
  if((typeof window.dialogArguments)=='object')
  {
    el = window.dialogArguments;
    el.thevalue = filteredHTML + '';
  }
  window.returnValue = filteredHTML + '';

	if(typeof opener_callback_function == 'function'){
		opener_callback_function(filteredHTML + '');
	}

  window.close();
  return false; //this disables default action (submitting the form)
}


//-->
		</script>
	
	</form>
</body>
</html>